package org.objectweb.jonas.jtests.beans.relation.tier;

/**
 * Local interface for Tiemor.
 */
public interface TiemorLocal extends javax.ejb.EJBLocalObject {

    /**
     * Returns the numinttie
     * @return the numinttie
     */
    public java.lang.Integer getNuminttie();

    /**
     * Returns the raisoctie
     * @return the raisoctie
     */
    public java.lang.String getRaisoctie();


    /**
     * get method relation one
     */
    public TierValue getTierValue();

    /**
     * get method relation one
     */
    public void setTierValue(TierValue value);

    /**
     * Return the value object version of this entity.
     */
    public TiemorValue getTiemorValue();

    /**
     * Update the value object version of this entity.
     */
    public void update(TiemorValue value);

}